Skip to main content
POST
/
v1
/
wallets
/
{walletId}
/
signing
/
typed-data
Master Wallet Typed data
curl --request POST \
  --url https://api.yiksipay.com/v1/wallets/{walletId}/signing/typed-data \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "domain": {
    "chainId": 11155111,
    "name": "USD Coin",
    "verifyingContract": "0xa0b86a33e6441b8c4c8c0c077bcdd28571685701",
    "version": "2"
  },
  "message": {
    "deadline": "1641081600",
    "nonce": "0",
    "owner": "0x742d35cc6634c0532925a3b8d4c9db96c4b4d8b6",
    "spender": "0x8ba1f109551bd432803012645aac136c4c8c8c0c",
    "value": "1000000000"
  },
  "types": {
    "Permit": [
      {
        "name": "owner",
        "type": "address"
      },
      {
        "name": "spender",
        "type": "address"
      },
      {
        "name": "value",
        "type": "uint256"
      },
      {
        "name": "nonce",
        "type": "uint256"
      },
      {
        "name": "deadline",
        "type": "uint256"
      }
    ]
  }
}
'
{ "data": { "amlScreening": {}, "amount": null, "amountPaid": null, "amountUSD": "0.00", "asset": null, "assetSwept": null, "assetSweptAmount": null, "assetSweptAt": null, "assetSweptGasFee": null, "assetSweptHash": null, "assetSweptRecipientAddress": null, "assetSweptSenderAddress": null, "blockHash": null, "blockNumber": null, "blockchain": { "createdAt": "2024-05-14T21:53:33.095Z", "derivationPath": "m/44'/60'/0'/0", "id": "85ffc132-3972-4c9e-99a5-5cf0ccb688bf", "isActive": true, "isEvmCompatible": true, "isL2": false, "name": "ethereum", "slug": "ethereum", "symbol": "eth", "tokenStandard": "ERC20", "updatedAt": "2024-11-26T23:04:13.936Z" }, "chainId": null, "confirmations": null, "confirmed": true, "createdAt": "2025-10-07T22:58:08.766Z", "createdChannel": "dashboard", "currency": "USD", "fee": null, "feeHash": null, "gasFee": null, "gasPrice": null, "gasUsed": null, "hash": "0xdb095e6cbf235d630cee43e0953e60c351e46897bc4e65abfce3e975810e21335aa3918399dac1e01badb2dc8c59c171e65d0c328c92737de702da9d76b889b31b", "id": "770f9100-7338-4823-b1ce-3658fc67db09", "metadata": null, "network": "testnet", "note": null, "rate": null, "rateUSD": "0.00", "reason": null, "recipientAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a", "reference": "OznFZsh1SMlTBgUaEpM", "senderAddress": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a", "signedTransaction": { "r": "0xdb095e6cbf235d630cee43e0953e60c351e46897bc4e65abfce3e975810e2133", "s": "0x5aa3918399dac1e01badb2dc8c59c171e65d0c328c92737de702da9d76b889b3", "signature": "0xdb095e6cbf235d630cee43e0953e60c351e46897bc4e65abfce3e975810e21335aa3918399dac1e01badb2dc8c59c171e65d0c328c92737de702da9d76b889b31b", "v": 27 }, "status": "SUCCESS", "toAmount": null, "toCurrency": null, "tokenAddress": null, "type": "SIGNED", "updatedAt": "2025-10-07T22:58:08.766Z", "wallet": { "address": "0x947514e4B803e312C312da0F1B41fEDdbe15ae7a", "configurations": { "addresses": { "isActive": true, "prefunding": { "isActive": true, "rules": [] } }, "autoSettlement": { "isActive": true, "rules": [ { "createdAt": "2025-09-10T14:41:12.126Z", "destination": { "address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22", "asset": "USDC", "blockchain": "ethereum" }, "id": "fb841522-ac48-41f5-ab77-9744571b9c46", "isActive": true, "name": "Settle to an external address ", "order": "RECOMMENDED", "slippageTolerance": "5", "source": { "assets": [ "USDC" ], "blockchain": "ethereum", "maxAmount": "10000", "minAmount": "1" }, "updatedAt": "2025-09-10T14:41:12.126Z" } ] } }, "createdAt": "2024-08-22T19:48:56.322Z", "derivationPath": "m/44'/60'/0'/0/0", "description": "This is ethereum testnet master wallet", "id": "d236a191-c1d4-423c-a439-54ce6542ca41", "isActive": true, "name": "Ethereum Master Wallet", "network": "testnet", "status": "ACTIVE", "updatedAt": "2025-09-15T23:06:08.009Z" } }, "message": "Typed data signed successfully", "statusCode": 200 }

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

Body

application/json
domain
object
message
object
types
object

Response

200 - application/json

EIP-712 / EIP-3009 / EIP-2612

data
object
message
string
Example:

"Typed data signed successfully"

statusCode
number
Example:

200